[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TStreamAdapter.SetSize

Set the stream size

## Declaration

Source position: classesh.inc line 1171

`public function TStreamAdapter.SetSize(`
`libNewSize: LargeUint`
`):HRESULT; virtual;`

## Description

SetSize implements #rtl.types.IStream.Setsize by setting the size of the stream specified at creation.

## Errors

This function must be overridden and will raise a runerror 217 when called directly.

## See also

#rtl.types.IStream.Setsize |  | Set the stream size